Page MenuHomePhabricator

bfcache (back/forward cache) broken causing edited content loss
Open, Needs TriagePublic

Description

When using the back and forward buttons, the edited content is lost in "edit source" mode.

The bfcache (back/forward cache) seems to be broken again. These buttons are supposed to allow us to see the pages how they were when we last saw them. EDIT: this part is working again (26 May 2016) on Firefox and Chrome.

The undo/redo edit history is obviously lost too (on all three browsers).

Browser: Firefox 47.0 64 bits, Chrome 51.0.2704.84 m, Internet Explorer 11
OS: Windows 7 64 bits
Example edit: https://en.wikipedia.org/w/index.php?title=Air&action=edit

Steps to reproduce:

  1. Enter some text in the main edit box
  2. Preview the changes
  3. Go back to the previous page
  4. Try to undo/redo all/part of the edit with ctrl+z and ctrl+y

Expected results:
The changes are undone step by step on each ctrl+z press and redone with ctrl+y

Actual results:
Nothing happens

Tested with and without the "enhanced editing toolbar".

Event Timeline

The_RedBurn updated the task description. (Show Details)
The_RedBurn raised the priority of this task from to Needs Triage.
The_RedBurn added a subscriber: The_RedBurn.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 22 2016, 4:30 PM
The_RedBurn renamed this task from bfcache (back/forward cache) broken causes edited content loss to bfcache (back/forward cache) broken causing edited content loss.Jan 22 2016, 4:30 PM
The_RedBurn set Security to None.
Wasell added a subscriber: Wasell.Jan 22 2016, 5:06 PM
The_RedBurn closed this task as Resolved.Feb 4 2016, 10:00 PM
The_RedBurn claimed this task.

It works again.

The_RedBurn removed The_RedBurn as the assignee of this task.Feb 5 2016, 7:54 AM
The_RedBurn reopened this task as Open.Feb 19 2016, 10:24 PM

Broken again.

@The_RedBurn: Which exact version of the application is this about?

The current version is affected: 1.28.0-wmf.2 (a7d316b)
01:13, 24 May 2016

However, now the edited content is preserved, but the undo/redo edit history is still lost.

The_RedBurn updated the task description. (Show Details)May 26 2016, 12:04 PM
The_RedBurn updated the task description. (Show Details)

The current version is affected: 1.28.0-wmf.2 (a7d316b)

You filed this under "Wikipedia-App". Which exact version of the mobile application on which Mobile platform are you using?

You filed this under "Wikipedia-App". Which exact version of the mobile application on which Mobile platform are you using?

That's an error. I meant the Wikipedia website. Please correct it if you know how it should be tagged.

Ah, thanks!
Unfortunately this report lacks some information (exact example edit, browser, browser version, operating system, etc.). If you have time and can still reproduce the problem, please add a more complete description to this report. Ideally, exact and clear steps to reproduce should allow any other person to follow these steps (without having to interpret those steps) and see the same results. Problems that others can reliably reproduce can get fixed faster. Thanks!

Aklapper changed the task status from Open to Stalled.Jun 9 2016, 3:03 PM

Setting status to stalled as we're awaiting an answer by @The_RedBurn...
Please reset the task status to open once answered.

The_RedBurn changed the task status from Stalled to Open.Jun 14 2016, 10:11 AM
The_RedBurn updated the task description. (Show Details)